timew(1)

NAME
timew - A command line time tracker.

SYNOPSIS
timew [--version|--help]
timew [<command> [<arg>...]]

DESCRIPTION
Timewarrior is a command line time tracker. It allows you to easily track your time and generate summary reports. This is a reference, not a tutorial. If you are looking for a tutorial, check the online documentation here:
  https://taskwarrior.org/docs/timewarrior
When run without arguments or options, the default command is run, which indicates whether there is any active tracking, and if so, shows a summary, then exits with a code 0. If there is no active time tracking, exit code is 1.

OPTIONS

--version
    Displays TimeWarrior version information

--help
    Display TimeWarrior usage information

TIMEWARRIOR COMMANDS
Timewarrior supports many commands. Alphabetically:

timew-annotate(1)
    Add annotation to intervals

timew-cancel(1)
    Cancel time tracking

timew-config(1)
    Get and set Timewarrior configuration

timew-continue(1)
    Resume tracking of existing interval

timew-day(1)
    Display day chart

timew-delete(1)
    Delete intervals

timew-diagnostics(1)
    Show diagnostic information

timew-export(1)
    Export tracked time in JSON

timew-extensions(1)
    List available extensions

timew-get(1)
    Display DOM values

timew-help(1)
    Display help

timew-join(1)
    Join intervals

timew-lengthen(1)
    Lengthen intervals

timew-modify(1)
    Change start or end time of an interval

timew-month(1)
    Display month chart

timew-move(1)
    Change interval start-time

timew-report(1)
    Run an extension report

timew-resize(1)
    Set interval duration

timew-shorten(1)
    Shorten intervals

timew-show(1)
    Display configuration

timew-split(1)
    Split intervals

timew-start(1)
    Start time tracking

timew-stop(1)
    Stop time tracking

timew-summary(1)
    Display a time-tracking summary

timew-tag(1)
    Add tags to intervals

timew-tags(1)
    Display a list of tags

timew-track(1)
    Add intervals to the database

timew-undo(1)
    Undo Timewarrior commands

timew-untag(1)
    Remove tags from intervals

timew-week(1)
    Display week chart

MORE EXAMPLES
For examples please see the online documentation starting at:
    <https://taskwarrior.org/docs/timewarrior/>
Note that the online documentation can be more detailed and more current than this man page.

FILES

~/.timewarrior/timewarrior.cfg
    User configuration file.

~/.timewarrior/data/YYYY-MM.data
    Time tracking data files.

CREDITS & COPYRIGHTS
Copyright (C) 2015 - 2018 T. Lauf, P. Beckingham, F. Hernandez.
Timewarrior is distributed under the MIT license. See https://www.opensource.org/licenses/mit-license.php for more information.

FURTHER DOCUMENTATION
For more information regarding Timewarrior, see the following:

The official site at <https://timewarrior.net>

The official code repository at <https://github.com/GothenburgBitFactory/timewarrior>

You can contact the project by emailing <support@gothenburgbitfactory.org>

REPORTING BUGS

Bugs in Timewarrior may be reported to the issue-tracker at <https://github.com/GothenburgBitFactory/timewarrior/issues>

SEE ALSO
timew-config(7), timew-dates(7), timew-dom(7), timew-durations(7), timew-hints(7), timew-ranges(7)